//
//  main.m
//  Students1
//
//  David J. Malan
//  Harvard University
//  dmalan@harvard.edu
//
//  Demonstrates use of a class.
//

#import <Foundation/Foundation.h>
#import "Student.h"

// prototype
void greet(Student *s);

int main (int argc, const char * argv[])
{
    // allocate autorelease pool
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

    // Alice
    Student *alice = [Student alloc];
    alice->age = 20;
    alice->name = @"Alice";
    greet(alice);
    [alice release];

    // Bob
    Student *bob = [Student alloc];
    bob->age = 21;
    bob->name = @"Bob";
    greet(bob);
    [bob release];
    
    // drain autorelease pool
    [pool drain];
    
    return 0;
}

// greets student (via stderr)
void greet(Student *s)
{
    NSLog(@"Hello, %@.  I see that are %d years old.\n", s->name, s->age);
}
